#include <string.h>
#include <stdio.h>
#include <stdarg.h>

#include <base/logging.h>

namespace recognition {

const std::string Format(const char *fmt, ...) {
	va_list va;
	char formatted[1024];
	va_start(va, fmt);
	vsnprintf(formatted, 1024, fmt, va);
	va_end(va);
	return std::string(formatted);
}

}	// namespace recognition
